package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.community.huiju.model.TaUser;
import com.community.huiju.model.TaUserHk;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 住户app端用户与海康关联表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-06-12
 */
public interface TaUserHkMapper extends BaseMapper<TaUserHk> {


    @ResultType(TaUserHk.class)
    @Select("select * from ta_user_hk where ta_user_id = #{userVerifyId} and community_id = #{communityId}")
    TaUserHk selectByUserVerifyIdAndCommunityId(Integer userVerifyId, Integer communityId);
}
