package com.community.huiju.dao;


import com.community.huiju.model.TaFeedback;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaFeedbackMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaFeedback record);

    int insertSelective(TaFeedback record);

    TaFeedback selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaFeedback record);

    int updateByPrimaryKey(TaFeedback record);

    List<TaFeedback> getFeedback(@Param("content") String content, @Param("tel") String tel, @Param("handleStatus") String handleStatus);

    /**
     * 根据手机号码查询历史反馈
     * @param loginName
     * @return
     */
    List<TaFeedback> noPropertyHistory(@Param("loginName") String loginName);

    /**
     * 查询反馈详情
     * @param id
     * @return
     */
    TaFeedback propertyHistoryDdetails(@Param("id") Integer id);
}